2020-09-23 11:19 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002754NetSurfDevelopmentpublic2020-05-27 09:01
ReporterZen Subz 
Assigned ToDaniel Silverstone 
SeverityblockReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version7.7.1908
Product Version3.9 
Target Version3.10Fixed in Version3.10 
Summary0002754: Netsurf global history
DescriptionThis is concerning clearing the Global History in Netsurf (3.9 dev build). The features 'Select all' and 'Delete all' (via dialog menu/mouse clicks) are not working in the development snapshot of Netsurf. While manual selection of entries seem to work (Alt+A), the cursor (selection) goes off the moment I try to select them all (via Edit -> Select all -> Delete all). I have tried this with the dev. snapshot 5058, and have attached a gif image to highlight this issue.

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #5058
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0002193

Daniel Silverstone (administrator)

There was a combination of problems around the search box claiming focus. These are now fixed.
Vincent Sanders

~0002217

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-22 10:06 Zen Subz New Issue
2020-04-22 10:06 Zen Subz File Added: netsurf-history.gif
2020-05-21 21:33 Daniel Silverstone Assigned To => Daniel Silverstone
2020-05-21 21:33 Daniel Silverstone Status new => acknowledged
2020-05-21 21:39 Michael Drake Severity feature => block
2020-05-22 11:37 Daniel Silverstone Status acknowledged => resolved
2020-05-22 11:37 Daniel Silverstone Resolution open => fixed
2020-05-22 11:37 Daniel Silverstone Fixed in Version => 3.10
2020-05-22 11:37 Daniel Silverstone Note Added: 0002193
2020-05-23 09:46 Vincent Sanders Target Version => 3.10
2020-05-27 09:01 Vincent Sanders Status resolved => closed
2020-05-27 09:01 Vincent Sanders Note Added: 0002217
+Issue History